//
//  LogonRongRTCEngineDelegateImpl.m
//  RongRTCMeeting
//
//  Created by LiuLinhong on 2017/11/28.
//  Copyright © 2017年 Beijing Rongcloud Network Technology Co. , Ltd. All rights reserved.
//

#import "LogonRongRTCEngineDelegateImpl.h"
#import "LogonViewController.h"

@interface LogonRongRTCEngineDelegateImpl ()

@property (nonatomic, strong) LogonViewController *logonViewController;

@end

@implementation LogonRongRTCEngineDelegateImpl

- (instancetype)initWithViewController:(NSViewController *)vc
{
    self = [super init];
    if (self)
    {
        self.logonViewController = (LogonViewController *) vc;
    }
    return self;
}

#pragma mark - RongRTCEngineDelegate
- (void)rongRTCEngine:(RongRTCEngine *)engine onConnectionStateChanged:(RongRTCConnectionState)state
{
    [LogonViewController setConnectionState:state];
//    [self.logonViewController updateJoinRoomButtonSocket:state];
}


@end
