//
//  LogonViewBuilder.h
//  Rongcloud
//
//  Created by LiuLinhong on 2017/09/04.
//  Copyright © 2017年 Beijing Rongcloud Network Technology Co. , Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <AppKit/AppKit.h>
#import "BaseView.h"
#import "DJSwitchControl.h"

#define kExpandedPixel 73
#define kLogonTextColor [NSColor colorWithRed:54.0/255.0 green:130.0/255.0 blue:242.0/255.0 alpha:1.0]
#define kLogonContentColor [NSColor colorWithRed:255.0/255.0 green:255.0/255.0 blue:255.0/255.0 alpha:0.7]

@interface LogonViewBuilder : NSObject

@property (nonatomic, strong) NSView *logonContentView, *logonOptionView;
@property (nonatomic, strong) NSImageView *backgroundImageView;
@property (nonatomic, strong) NSTextField *channelIDTextField, *userNameTextField, *versionTextField;
@property (nonatomic, strong) NSButton *joinRoomButton, *expandButton;
@property (nonatomic, strong) NSTableView *optionTableView;
@property (nonatomic, strong) DJSwitchControl *identitySwitch;

- (instancetype)initWithViewController:(NSViewController *)vc;

@end
