//
//  RightMVTableViewCellView.h
//  Rongcloud
//
//  Created by LiuLinhong on 2017/08/21.
//  Copyright © 2017年 Beijing Rongcloud Network Technology Co. , Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MeetingViewController.h"

@interface RightMVTableViewCellView : NSTableCellView

@property (nonatomic, strong) IBOutlet NSImageView *headImageView;
@property (nonatomic, strong) IBOutlet NSTextField *userNameTextField;
@property (nonatomic, strong) IBOutlet NSImageView *hostLogoImageView;

@property (nonatomic, strong) IBOutlet NSButton *micButton;
@property (nonatomic, strong) IBOutlet NSButton *cameraButton;
@property (nonatomic, strong) IBOutlet NSButton *upgradeButton;
@property (nonatomic, strong) IBOutlet NSButton *kickOutButton;

@property (nonatomic, strong) NSDictionary *dataDic;
@property (nonatomic, assign) BOOL isHost, isOpenMic, isOpenCamera, isUpgrade, isKickOut;
@property (nonatomic, strong) MeetingViewController *meetingViewController;

- (void)becomeHost;
- (void)resignHost;

@end
