//
//  SwitchPageViewCell.h
//  Rongcloud
//
//  Created by LiuLinhong on 2017/08/30.
//  Copyright © 2017年 Beijing Rongcloud Network Technology Co. , Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SwitchPageViewControl.h"
#import <Quartz/Quartz.h>
#import "HeadIconView.h"

@interface SwitchPageViewCell : NSView

@property (nonatomic, strong) NSString *userID;
@property (nonatomic, strong) NSIndexPath *indexPath;
@property (nonatomic, strong) NSView *videoView;
@property (nonatomic, strong) SwitchPageViewControl *switchPageViewControl;
@property (nonatomic, strong) NSImageView *loadingImageView;
@property (nonatomic, strong) CABasicAnimation *loadingAnimation;
@property (nonatomic, strong) HeadIconView *switchHeadIconView;
@property (nonatomic, strong) NSProgressIndicator *indicator;

- (instancetype)initWithFrame:(CGRect)frame withSwitchPage:(SwitchPageViewControl *)switchPage;
- (void)startLoadingAnimation;
- (void)stopLoadingAnimation;

@end


@interface NSView (NSViewAdditions)


@end
