//
//  MeetingVideoViewModel.h
//  Rongcloud
//
//  Created by LiuLinhong on 2017/09/25.
//  Copyright © 2017年 Beijing Rongcloud Network Technology Co. , Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#import "HeadIconView.h"

@interface MeetingVideoViewModel : NSObject

@property (nonatomic, assign) CGSize originalSize;
@property (nonatomic, strong) NSView *cellVideoView;
@property (nonatomic, strong) NSString *userID, *userName;
//@property (nonatomic, assign) NSInteger frameRateRecv;
//@property (nonatomic, assign) NSInteger frameWidthRecv;
//@property (nonatomic, assign) NSInteger frameHeightRecv;
@property (nonatomic, assign) NSInteger userType;
@property (nonatomic, assign) NSInteger avType;
@property (nonatomic, assign) NSInteger audioLevel;
@property (nonatomic, strong) HeadIconView *micImageView;
@property (nonatomic, strong) NSView *audioLevelView;
//@property (nonatomic, strong) NSImage *headerImage;
@property (nonatomic, strong) HeadIconView *headIconView, *switchHeadIconView;

- (instancetype)initWithView:(NSView *)view;

@end
