//
//  MeetingVideoViewModel.m
//  Rongcloud
//
//  Created by LiuLinhong on 2017/09/25.
//  Copyright © 2017年 Beijing Rongcloud Network Technology Co. , Ltd. All rights reserved.
//

#import "MeetingVideoViewModel.h"

@implementation MeetingVideoViewModel

- (instancetype)initWithView:(NSView *)view
{
    self = [super init];
    if (self)
    {
        self.cellVideoView = view;
        self.originalSize = CGSizeZero;
        self.userID = @"";
        self.avType = 1;
    }
    
    return self;
}

- (NSString *)description
{
    NSString *tmp = [NSString stringWithFormat:@"(originalSize: %@\n cellVideoView: %@\n userID: %@\n userName: %@\n userType: %zd\n avType: %zd\n audioLevel: %zd\n micImageView: %@\n audioLevelView: %@\n headIconView: %@\n switchHeadIconView: %@)\n", NSStringFromSize(_originalSize), _cellVideoView, _userID, _userName, _userType, _avType, _audioLevel, _micImageView, _audioLevelView, _headIconView, _switchHeadIconView];
    
    return tmp;
}

@end
