//
//  CommonUtility.h
//  Rongcloud
//
//  Created by LiuLinhong on 2017/08/11.
//  Copyright © 2017年 Beijing Rongcloud Network Technology Co. , Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AppKit/NSOpenGLView.h>

@import Cocoa;

@interface CommonUtility : NSObject

/**
 check file existing at path of url
 */
+ (BOOL)isFileExistsAtPath:(NSString *)url;

/**
 get data from plist file
 */
+ (NSArray *)getPlistArrayByplistName:(NSString *)plistName;

/**
 get random room number
 */
//+ (NSInteger)getRandomNumber:(int)fromValue to:(int)toValue;

/**
 set button image
 */
//+ (void)setButtonImage:(UIButton *)button imageName:(NSString *)name;


+ (NSString *)getRandomString;

+ (BOOL)isDownloadFileExists:(NSString *)fileName atPath:(NSString *)folderPath;

+ (NSInteger)getRandomNumber:(int)fromValue to:(int)toValue;

+ (NSString *)hardwareUUID;

+ (void)openGLViewReshape:(NSOpenGLView *)glView;

+ (NSString *)formatTimeFromDate:(NSDate *)date withFormat:(NSString *)format;

+ (NSImage *)createScreenShot;

+ (NSString *)strimCharacter:(NSString *)userName withRegex:(NSString *)regex;

@end
